commit:     a6159369f71607222f12c6c6691669059e526417
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun May 29 01:07:10 2016 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Jun  5 16:47:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6159369

distutils-r1.eclass: Move creation of .pydistutils.cfg to esetup.py

Also remove .pydistutils.cfg from HOME before returning.

This config should only be needed when we are invoking setup.py. The
esetup.py wrapper provides a normalized way for doing this; if ebuilds
call setup.py without the wrapper, they are now also responsible for
setting the build directory if necessary.

This change allows us to stop overriding the HOME variable, and prevents
leakage of eclass-specifc configuration to the general ebuild
environment.

 eclass/distutils-r1.eclass | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 171762c..334ce73 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -242,10 +242,19 @@ esetup.py() {
        local die_args=()
        [[ ${EAPI} != [45] ]] && die_args+=( -n )
 
+       [[ ${BUILD_DIR} ]] && _distutils-r1_create_setup_cfg
+
        set -- "${PYTHON:-python}" setup.py "${mydistutilsargs[@]}" "${@}"
 
        echo "${@}" >&2
-       "${@}" || die "${die_args[@]}" || return ${?}
+       "${@}" || die "${die_args[@]}"
+       local ret=${?}
+
+       if [[ ${BUILD_DIR} ]]; then
+               rm "${HOME}"/.pydistutils.cfg || die "${die_args[@]}"
+       fi
+
+       return ${ret}
 }
 
 # @FUNCTION: distutils_install_for_testing
@@ -436,7 +445,6 @@ _distutils-r1_copy_egg_info() {
 distutils-r1_python_compile() {
        debug-print-function ${FUNCNAME} "${@}"
 
-       _distutils-r1_create_setup_cfg
        _distutils-r1_copy_egg_info
 
        esetup.py build "${@}"
@@ -511,9 +519,6 @@ distutils-r1_python_install() {
        # enable compilation for the install phase.
        local -x PYTHONDONTWRITEBYTECODE=
 
-       # re-create setup.cfg with install paths
-       _distutils-r1_create_setup_cfg
-
        # python likes to compile any module it sees, which triggers sandbox
        # failures if some packages haven't compiled their modules yet.
        addpredict "${EPREFIX}/usr/$(get_libdir)/${EPYTHON}"

Reply via email to